Subject: bug#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*

From: Sean Whitton <[email-masked]>
Date: Fri, 18 Jul 2025 10:58:53 +0100

Hello,

On Wed 09 Jul 2025 at 11:40am +01, Sean Whitton wrote:

> What do you think about replacing activating a minor mode with just
> switching the major mode map?  So far as I can tell the disadvantage
> would be repeating keymap definitions, and the advantage would be more
> standardised *Help* output.

I spent some time seeing how this change would be implemented and I now
think that, instead, diff-minor-mode should be renamed
diff-read-only-mode.  Am I right that diff-minor-mode is only intended
as a way to add bindings when diff-mode buffers are read-only?

I'm given pause by diff-minor-mode-prefix.  Why do we have this?  Aren't
all the bindings available without this prefix whenever diff-minor-mode
is active?  If I'm right then I'd propose to obsolete it and tidy things
up.

-- 
Sean Whitton